> For the complete documentation index, see [llms.txt](https://developer.vario-software.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.vario-software.de/api-reference/dataseries.md).

# Dataseries

Use the VARIO Cloud API to list available data series and query time-series data from datamarts with configurable grouping, time slices, and filters.

request resource to our datamarts

## POST /erp/statistics/time-series/{id}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"dataseries","description":"request resource to our datamarts"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/statistics/time-series/{id}":{"post":{"tags":["dataseries"],"operationId":"processTimeSeries","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-statistic-DataSeriesRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-statistic-DataSeries"}}}}}}}}},"components":{"schemas":{"erp-statistic-DataSeriesRequest":{"properties":{"additionalPredicate":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"},"step":{"type":"string","description":"defines the time-grouping for a query result","enum":["YEAR","QUARTER","MONTH","WEEK","DAY"]},"fillEmptyGroups":{"type":"boolean","default":false,"description":"Should time units without data values also be returned?"},"slice":{"type":"string","description":"defines the time-slice for a query","enum":["CURRENT_YEAR","CURRENT_AND_LAST_YEAR","CURRENT_AND_LAST_TWO_YEARS","CURRENT_AND_LAST_MONTH","CURRENT_AND_LAST_WEEK","LAST_TWELVE_MONTHS","LAST_SEVEN_DAYS","TODAY","UNBOUND"]}}},"common-cunit-QueryPresetPredicate":{"description":"Conditions for selecting storage bins.","properties":{"type":{"type":"string","description":"Filter operation.","enum":["JUNCTION","FILTER"]},"operator":{"type":"string","description":"operator","enum":["AND","OR","EQUALS","NOT_EQUALS","LIKE","NOT_LIKE","STARTS_WITH","ENDS_WITH","CONTAINS","NOT_CONTAINS","GREATER_THAN","GREATER_THAN_EQUALS","LESS_THAN","LESS_THAN_EQUALS","IN","NOT_IN","RANGE","NOT_RANGE","IS_NULL","IS_NOT_NULL","IS_NULL_OR_EQUALS","EXISTS","NOT_EXISTS"]},"children":{"type":"array","description":"Child definitions (for a junction).","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"}},"property":{"type":"string","description":"filter property"},"values":{"type":"array","description":"Filter values.","items":{"type":"string","description":"Filter values."}},"visible":{"type":"boolean","default":true,"description":"Visibility for variables."},"functions":{"type":"array","description":"SQL function applied in the predicate.","items":{"type":"string","description":"SQL function applied in the predicate."}}},"required":["operator","type"]},"erp-statistic-DataSeries":{"properties":{"seriesLabel":{"type":"string","description":"Label of the data series"},"seriesType":{"type":"string","description":"Type of the data series"},"seriesEntryType":{"type":"string","description":"Type of data series value "},"seriesGroupHeader":{"type":"array","description":"the Header for grouping operation (normally the year)","items":{"type":"string","description":"the Header for grouping operation (normally the year)"}},"series":{"type":"array","description":"List of series entries","items":{"$ref":"#/components/schemas/erp-statistic-DataSeriesEntry"}}}},"erp-statistic-DataSeriesEntry":{"description":"List of series entries","properties":{"entryLabel":{"type":"integer","format":"int64","description":"the position of this Entry with respect to the given TimeSeriesGrouping "},"value":{"type":"array","description":"value of this entry","items":{"type":"object","description":"value of this entry"}}}}}}}
```

## GET /erp/statistics/time-series

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"dataseries","description":"request resource to our datamarts"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/statistics/time-series":{"get":{"tags":["dataseries"],"operationId":"getQueries","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-statistic-QueryAlias"}}}}}}}}},"components":{"schemas":{"erp-statistic-QueryAlias":{"properties":{"id":{"type":"string","description":"id for the query"},"description":{"type":"string","description":"description of this query"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.vario-software.de/api-reference/dataseries.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
